Debian Bug report logs - #565139
valgrind: Please add mpiwrap module

version graph

Package: valgrind; Maintainer for valgrind is Alessandro Ghedini <ghedo@debian.org>; Source for valgrind is src:valgrind.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Wed, 13 Jan 2010 09:57:02 UTC

Severity: wishlist

Found in versions valgrind/1:3.5.0-3, valgrind/1:3.7.0-4

Fixed in version valgrind/1:3.7.0-5

Done: Alessandro Ghedini <ghedo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#565139; Package valgrind. (Wed, 13 Jan 2010 09:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 13 Jan 2010 09:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: valgrind: Please add mpiwrap module
Date: Wed, 13 Jan 2010 10:51:14 +0100
Package: valgrind
Version: 1:3.5.0-3
Severity: normal


It would be super-nice if debian/valgrind package would also ship the mpiwrap module:

http://valgrind.org/docs/manual/mc-manual.html#mc-manual.mpiwrap

The changes should be minimal, adding --with-mpicc in debian/rules should be enough.

Thanks

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages valgrind depends on:
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libc6-dbg                     2.10.2-2   GNU C Library: detached debugging 

Versions of packages valgrind recommends:
ii  gdb                           7.0-1      The GNU Debugger

Versions of packages valgrind suggests:
ii  alleyoop                      0.9.3-2    Front-end to the Valgrind memory c
ii  kcachegrind                   4:3.5.9-2  visualisation tool for valgrind pr
pn  valkyrie                      <none>     (no description available)

-- no debconf information




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:34 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Fri, 11 May 2012 13:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#565139; Package valgrind. (Tue, 15 May 2012 13:15:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Tue, 15 May 2012 13:15:26 GMT) Full text and rfc822 format available.

Message #14 received at 565139@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 565139@bugs.debian.org
Cc: Control bugs server <control@bugs.debian.org>
Subject: Adding patch
Date: Tue, 15 May 2012 15:11:16 +0200
[Message part 1 (text/plain, inline)]
tags 565139 patch
found 565139 valgrind/1:3.7.0-4
thanks

Here is the patch needed to get mpiwrap in valgrind

Thanks
[mpiwrap.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 13:15:35 GMT) Full text and rfc822 format available.

Marked as found in versions valgrind/1:3.7.0-4. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 13:15:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#565139; Package valgrind. (Wed, 16 May 2012 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Wed, 16 May 2012 19:03:06 GMT) Full text and rfc822 format available.

Message #23 received at 565139@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Mathieu Malaterre <malat@debian.org>, 565139@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#565139: Adding patch
Date: Wed, 16 May 2012 21:02:18 +0200
[Message part 1 (text/plain, inline)]
tags 565139 - patch + pending
kthxbye

On Tue, May 15, 2012 at 03:11:16PM +0200, Mathieu Malaterre wrote:
> tags 565139 patch
> found 565139 valgrind/1:3.7.0-4
> thanks
> 
> Here is the patch needed to get mpiwrap in valgrind

I'd like to avoid all the dependencies that openmpi pulls in the "main"
valgrind package, given that most users won't use the mpiwrap module anyway.
I'm going to add an additional "valgrind-mpi" package that ships the library
(just like Fedora does AFAICT).

Cheers

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Wed, 16 May 2012 19:03:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Wed, 16 May 2012 19:03:08 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 12:32:10 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 12:32:15 GMT) Full text and rfc822 format available.

Message #32 received at 565139-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 565139-close@bugs.debian.org
Subject: Bug#565139: fixed in valgrind 1:3.7.0-5
Date: Sat, 19 May 2012 12:04:04 +0000
Source: valgrind
Source-Version: 1:3.7.0-5

We believe that the bug you reported is fixed in the latest version of
valgrind, which is due to be installed in the Debian FTP archive:

valgrind-dbg_3.7.0-5_amd64.deb
  to main/v/valgrind/valgrind-dbg_3.7.0-5_amd64.deb
valgrind-mpi_3.7.0-5_amd64.deb
  to main/v/valgrind/valgrind-mpi_3.7.0-5_amd64.deb
valgrind_3.7.0-5.debian.tar.gz
  to main/v/valgrind/valgrind_3.7.0-5.debian.tar.gz
valgrind_3.7.0-5.dsc
  to main/v/valgrind/valgrind_3.7.0-5.dsc
valgrind_3.7.0-5_amd64.deb
  to main/v/valgrind/valgrind_3.7.0-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <ghedo@debian.org> (supplier of updated valgrind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 May 2012 22:03:08 +0200
Source: valgrind
Binary: valgrind valgrind-dbg valgrind-mpi
Architecture: source amd64
Version: 1:3.7.0-5
Distribution: unstable
Urgency: low
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Changed-By: Alessandro Ghedini <ghedo@debian.org>
Description: 
 valgrind   - instrumentation framework for building dynamic analysis tools
 valgrind-dbg - instrumentation framework for building dynamic analysis tools (de
 valgrind-mpi - instrumentation framework for building dynamic analysis tools (MP
Closes: 565139 672481
Changes: 
 valgrind (1:3.7.0-5) unstable; urgency=low
 .
   * Build on ppc64 too (Closes: #672481)
   * Update short and long descriptions
   * Remove not-needed Provides/Conflicts on valgrind-callgrind
   * No need to merge xfree-4.supp into debian.supp: it is already provided
     by default.supp
   * Enable mpiwrap module (Closes: #565139)
     - Add new valgrind-mpi package
     - valgrind Suggests valgrind-mpi
   * Clean-up rules' dh_install override
   * Add valgrind-dbg package (cf. #475562)
     - valgrind Recommends valgrind-dbg
   * Remove unused lintian overrides
   * Update debian/copyright using Copyright-Format 1.0
Checksums-Sha1: 
 5b64dfcc745489fe42285fe2e61e62c8a2e7fd69 2168 valgrind_3.7.0-5.dsc
 ba1b3d459019e53b1e5820c00b8cd05fbb34c52b 31575 valgrind_3.7.0-5.debian.tar.gz
 8052a4389b79afc3997f8d773e14a4733f87e0c8 28760282 valgrind_3.7.0-5_amd64.deb
 7f0bd6814a55ca1c144c08ed2d7064a90e738ab1 73568956 valgrind-dbg_3.7.0-5_amd64.deb
 83df47390fa920aa3d8f6198f06a0b1d2e205518 126334 valgrind-mpi_3.7.0-5_amd64.deb
Checksums-Sha256: 
 a7412286cb07f49acf1afb6562f4928a6a4b3d480619a76643f19799c438d8ab 2168 valgrind_3.7.0-5.dsc
 df833ce1dc9ed6008e2235f052b170fb9d823ffbe8705510dfda84d6a3a0bb3b 31575 valgrind_3.7.0-5.debian.tar.gz
 1cf774dace728700a6a3590fb376682166667e635f29f1f6ffdc4697311e1bed 28760282 valgrind_3.7.0-5_amd64.deb
 aa8774539f5e9afdcb5034a2b9863a8a05f4a7dab2edf134fcf3e832447f9067 73568956 valgrind-dbg_3.7.0-5_amd64.deb
 f4fedc840fafafb20cff73d820e8c3f1ca71bb0cb0d71ffb32e4f80bd1b85bff 126334 valgrind-mpi_3.7.0-5_amd64.deb
Files: 
 475a462421471e64749c534b6e522e24 2168 devel optional valgrind_3.7.0-5.dsc
 d3bdeebd723b2df91f689f4e6240512c 31575 devel optional valgrind_3.7.0-5.debian.tar.gz
 d6dd152ab2e075187207d85091a0d3b5 28760282 devel optional valgrind_3.7.0-5_amd64.deb
 9c4426051b51bb75060713401639687c 73568956 debug extra valgrind-dbg_3.7.0-5_amd64.deb
 dec190babc5649fd2a4a604c1f0ead34 126334 devel optional valgrind-mpi_3.7.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPt4Z/AAoJEK+lG9bN5XPLlEUP/RUV0F/o0eV+7ScrsLEFtPV/
lC67lkr7Xje9Tr7uhzaVU/6jRXSOobJO//Ij+/eAPWR7wZe6xWPqEM9kLEzVHeT5
XCIvrLSsdtKK6mrBxHc8uEuQ2lnBaJm40125Ke6vZtlyZRoYwncLEHUgbCVZ+Z7s
X+85LpSOKqeJWfegabLbNoVLlMgx+SMlyBxz8bXbLHw5Vd/COIroK/3ohfdGmFX/
tsasD/wekI2rqpltoU8aVxkRsBbzyY4JLmfpxl8qGc++w0jdJJWzT2yx7GQ1uorW
p1TiNUhQv5fRux+u3zztadcwyE7DAwz051A6QypUD0vcSV46ePHk3j0InqLxey7i
sCigzsFO4KtYGbFe/bIMHY5E25jnLIztZ7oEQJWmYq6klas4WnoVIuNM+WdC6E2c
q9HbJkAxW/b5ej2irb8rjKkNvmAo4yIXyO6iRwHdM+PrqmeY5DFE/oAaA+N/Wg2r
APcXTbsAy//BHnDLU0p4MmjIkQ7eHLoCx8JN9WTfWNj6joBuS7/3TD2mAYc/LGUh
r3Ah2f8keJLppnn6C4OgNEtc4g0LwCsh8CLwc9t3PMJmGxfestBlGrl0jbiZDsr2
nJFAEaB423+eE/f3NK2qVRYJAiDbDfFdIT035AsUH42dUx8ctr1b1jTti78ziAOA
E5Sw4AVW0UBJ59M1u9rj
=L8ka
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:33:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.